Zoom to Scale

Discussion in 'SolidWorks' started by Gary Swink, Sep 13, 2005.

  1. Gary Swink

    Gary Swink Guest

    Is there a way to calibrate your display with Solidworks in order to get a
    full scale zoom? I have it in some other programs like CorelDraw and I think
    Autocad used to have it. With some of the newer Solidworks features like
    'Change Transparency', and bigger, flatter displays it would be nice to be
    able to take a full scale look at parts and assemblies.
     
    Gary Swink, Sep 13, 2005
    #1
  2. Gary Swink

    vizach Guest

    Here's a macro I wrote:

    Sub main()
    Set swApp = CreateObject("SldWorks.Application")
    Set modelDoc = swApp.ActiveDoc
    Set modelView = modelDoc.ActiveView

    modelView.Scale2 = 0.8
    modelDoc.GraphicsRedraw2
    End Sub

    I basically changed the "0.8" value until the model on my screen
    matched the true dimensions of the part. The "0.8" value is dependent
    on your monitor size and the resolution you are running.

    Jason
     
    vizach, Sep 14, 2005
    #2
  3. Gary Swink

    TOP Guest

    Joe Jones of NewHamshire CAD has had this out for a long time. It looks
    surprisingly like Jason's macro.

    '
    ******************************************************************************
    ' SCALE1.swb
    ' Macro written by Joe Jones
    '
    ' NEW HAMPSHIRE CAD www.nhcad.com
    '
    ' Mechanical Design and Custom Programming
    '
    ******************************************************************************

    Dim swApp As Object
    Dim modelDoc As Object
    Dim modelView As Object

    Sub main()
    Set swApp = CreateObject("SldWorks.Application")
    Set modelDoc = swApp.ActiveDoc
    Set modelView = modelDoc.activeView

    modelView.Scale2 = 0.859
    modelDoc.graphicsRedraw2
    End Sub
     
    TOP, Sep 14, 2005
    #3
  4. Gary Swink

    Gary Swink Guest

    Thanks to both of you.
     
    Gary Swink, Sep 19, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.